## wildmidi wildmidi — Midi Synthesizer Element |

## Synopsis

                        GstWildmidi;

## Properties

      "high-quality"             gboolean              : Read / Write
      "linear-volume"            gboolean              : Read / Write

## Description

This element renders midi-files as audio streams using Wildmidi. It offers better sound quality compared to the timidity element. Wildmidi uses the same sound-patches as timidity (it tries the path in $WILDMIDI_CFG, $HOME/.wildmidirc and /etc/wildmidi.cfg)

### Example pipeline

    1
    gst-launch filesrc location=song.mid ! wildmidi ! alsasink

This example pipeline will parse the midi and render to raw audio which is played via alsa.

## Details

### GstWildmidi

    typedef struct {
      GstElement element;

      GstPad *sinkpad, *srcpad;

      /* input stream properties */
      GstWildmidiState state;
      GstAdapter *adapter;
      midi *song;
      guint64 offset;

      /* output data */
      gboolean discont;
      GstSegment o_segment[1];
      gint64 o_len;

      /* format of the stream */
      guint bytes_per_frame;

      /* wildmidi settings */
      gboolean high_quality;
      gboolean linear_volume;
    } GstWildmidi;

## Property Details

### The `"high-quality"` property

      "high-quality"             gboolean              : Read / Write

High Quality.

Default value: TRUE

### The `"linear-volume"` property

      "linear-volume"            gboolean              : Read / Write

Linear volume.

Default value: TRUE

## See Also

timidity